seduction
 Language:
Welcome, Guest. Please login or register.
Did you miss your activation email?
2020/12/01, 03:04:06


Help

Author [EN] [PL] [ES] [PT] [IT] [DE] [FR] [NL] [TR] [SR] [AR] [RU] Topic: libc6-dev beschädigt (erledigt)  (Read 1466 times)

0 Members and 1 Guest are viewing this topic.

Offline solo

  • shape the future
  • User
  • Posts: 128
libc6-dev beschädigt (erledigt)
« on: 2020/09/23, 01:38:16 »
Die folgenden Pakete haben unerfüllte Abhängigkeiten:
 libc6-dev : Beschädigt: libgcc-9-dev (< 9.3.0-5~) aber 9.2.1-6 soll installiert werden
OS Siduction 2018.3.0

Mit apt-get update && apt-get dist-upgrade konnte das [size=0px]Problem[/size] nicht erledigt werden.
Der Rechnder Fujitsu lifebook T4310 wurde länger nicht verwendet und hat als letzen kernel 5.2.11 towo 1.
Ich stecke da in einer Sackgasse. Wie komme ich da wieder auf die Strecke ?
Gruß solo
« Last Edit: 2020/09/23, 21:40:25 by solo »
We did not come to fear the future.
We came here to shape it.
(Barack Obama)

Offline axt

  • User
  • Posts: 458
    • axebase.net
Re: libc6-dev beschädigt
« Reply #1 on: 2020/09/23, 03:54:33 »
Dann mach erstmal

Code: [Select]
sudo apt update && sudo apt upgrade
statt "full-upgrade"!

Formatierungshinweise: Befehlszeilen (mit Ausgaben) gehören in einen Codeblock (Button "#"). Du schreibst größtenteils falsch monospace (Button "Teletype" aktiviert). size (Auswahlfeld "Font Size") wird nicht in px, sondern pt angegeben.

Merke: Bildpunkte haben mit (Schrift)Punkten nun rein gar nichts zu tun. Sei froh, daß Du nicht noch in Pica (pc) oder gar Cicero umrechnen mußt! ;-)
« Last Edit: 2020/09/23, 04:54:56 by axt »

Offline solo

  • shape the future
  • User
  • Posts: 128
Re: libc6-dev beschädigt
« Reply #2 on: 2020/09/23, 09:33:09 »
Das Problem mit libc6-device besteht weiter. Ist möglicherweise das Paket defekt ?
Die Erneuerungen können nicht durchgeführt werden. Eine Menge Pakete werden zurückgehalten.
Ich versuche, ein Neuaufsetzen mit Siduction zu vermeiden.
« Last Edit: 2020/09/23, 09:49:08 by solo »
We did not come to fear the future.
We came here to shape it.
(Barack Obama)

Offline der_bud

  • User
  • Posts: 958
  • member
Re: libc6-dev beschädigt
« Reply #3 on: 2020/09/23, 10:00:18 »
Versuch mal bitte nach einem apt update direkt die Installation von
Code: [Select]
apt install gcc-9-base libgcc-9-dev libc6-devund poste gegebenenfalls die Ausgabe davon, wenn es schief läuft. Und falls es hängt, bitte auch die Ausgabe von
Code: [Select]
apt-cache policy libc6-dev libgcc-9-dev
Du lachst? Wieso lachst du? Das ist doch oft so, Leute lachen erst und dann sind sie tot.

Offline axt

  • User
  • Posts: 458
    • axebase.net
Re: libc6-dev beschädigt
« Reply #4 on: 2020/09/23, 10:59:27 »
Quote from: der_bud
Code: [Select]
apt install gcc-9-base libgcc-9-dev libc6-dev

Diese Befehlszeile habe ich letzte Nacht auch mehrfach gefunden (ja, solo, man kann nach Ausgaben auch suchen, Englisch, sprich ein nicht lokalisiertes System, bringt da auch weitaus mehr), Beispiel, neben Erfolgsmeldungen jedoch auch negative (es sollen hunderte Pakete deinstalliert werden). Da ich selbst kein siduction mehr fahre, ich es also auch nicht reproduzieren/testen kann, habe ich erstmal insgesamt aktualisieren lassen wollen. Aber...

Quote from: solo
hat als letzen kernel 5.2.11 towo 1.

Ende August 2019. Insbesondere bei dieser Distribution, die sich des Entwicklungszweigs bedient und damit ständig Brüche hat, sollte man stetig updaten, keine riesigen Lücken lassen. Wenn's irgendwo knarzt, findet man so auch schneller die Ursache(n). So doch ein System lange herumgestanden hat und jetzt auch noch Fehler hat, ist eine saubere Neuinstallation mit aktuellem Image insgesamt ratsam.

Man kann stattdessen natürlich eine Reparatur versuchen, das ist dann aber was zum selbst Lernen, nicht um sich jeden grundlegenden Input geben zu lassen.

Offline solo

  • shape the future
  • User
  • Posts: 128
Re: libc6-dev beschädigt
« Reply #5 on: 2020/09/23, 17:16:21 »
Wer schnell hilft, ist am Zug. Dank an Bud, das hat funktioniert. Der Kernel 5.8.10 towo1 ist nun vorhanden.
Der Rat des Programms, apt autoremove zu verwenden war nicht optimal, KDE ist nun in der Hölle, leider.

We did not come to fear the future.
We came here to shape it.
(Barack Obama)

Offline axt

  • User
  • Posts: 458
    • axebase.net
Re: libc6-dev beschädigt
« Reply #6 on: 2020/09/23, 20:16:30 »
Quote from: solo
Wer schnell hilft, ist am Zug.

Und wenn Du Dich selbst bemüht hättest (Stichwort nach Ausgaben suchen), statt servieren zu lassen, hättest Du nicht mal fragen brauchen.

Offline solo

  • shape the future
  • User
  • Posts: 128
Re: libc6-dev beschädigt
« Reply #7 on: 2020/09/23, 21:34:46 »

. . .  hätte ich die Axt im Hause, müsste ich nicht an mein Umfeld wenden. ;)
KDE konnte weder hergestellt werden. Danke für die Hinweise.
Gruß solo



« Last Edit: 2020/09/23, 21:39:21 by solo »
We did not come to fear the future.
We came here to shape it.
(Barack Obama)